<?php
/**
 * Copyright 2020 Adobe
 * All Rights Reserved.
 *
 * NOTICE: Adobe permits you to use, modify, and distribute this file in
 * accordance with the terms of the Adobe license agreement accompanying
 * it.
 */
declare(strict_types=1);

namespace Magento\Mray\CodeStructuralElement\Php\Reflection;

use phpDocumentor\Reflection\Type;

interface CallableDeclaration extends StructuralElementDeclaration
{
    /**
     * @return ParameterDeclaration[]
     */
    public function getParams(): array;

    /**
     * @return Type|null
     */
    public function getReturnType(): ?Type;
}
